# Uses of Interface
com.usatiuk.objects.transaction.TransactionHandle

Packages that use TransactionHandle
Package
Description
com.usatiuk.objects.transaction

## Uses of TransactionHandle in com.usatiuk.objects.transaction

Subinterfaces of TransactionHandle in com.usatiuk.objects.transaction
Modifier and Type
Interface
Description
`interface`
`Transaction`
Classes in com.usatiuk.objects.transaction that implement TransactionHandle
Modifier and Type
Class
Description
`class`
`CurrentTransaction`
Methods in com.usatiuk.objects.transaction that return TransactionHandle
Modifier and Type
Method
Description
`TransactionHandle`
TransactionManager.`commit()`
`TransactionHandle`
TransactionManagerImpl.`commit()`
`default TransactionHandle`
TransactionManager.`run(Runnable fn)`
`default TransactionHandle`
TransactionManager.`run(Runnable fn, boolean nest)`
`default TransactionHandle`
TransactionManager.`runTries(Runnable fn, int tries)`
`default TransactionHandle`
TransactionManager.`runTries(Runnable fn, int tries, boolean nest)`
Methods in com.usatiuk.objects.transaction that return types with arguments of type TransactionHandle
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<Collection<Runnable>,TransactionHandle>`
TransactionService.`commit(com.usatiuk.objects.transaction.TransactionImpl tx)`